/* template.js, Copyright (C) 2007 - 2010 YOOtheme GmbH */

var YOOTemplate = {
		
	start: function() {

		/* Match height of div tags */
		YOOTemplate.matchHeights();

		/* Accordion menu */
		new YOOAccordionMenu('div#middle ul.menu li.toggler', 'ul.accordion', { accordion: 'slide' });

		/* Dropdown menu */
		var dropdown = new YOODropdownMenu('menu', { mode: 'slide', dropdownSelector: 'div.dropdown', transition: Fx.Transitions.Expo.easeOut });
		//dropdown.matchHeight();

		/* Fancy menu */
		new YOOFancyMenu('menu', { mode: 'fade', transition: Fx.Transitions.expoOut, duration: 500 });

		/* set hover color */
		var enterColor;
		switch (YtSettings.color) {
			case 'neon':
				switch(YtSettings.itemColor) {
					case 'blue':
						enterColor = '#047199';
						leaveColor = '#05BCFF';
						break;
					case 'green':
						enterColor = '#658301';
						leaveColor = '#A8DB00';
						break;
					case 'orange':
						enterColor = '#985206';
						leaveColor = '#FD8708';
						break;
					case 'lilac':
						enterColor = '#7A0892';
						leaveColor = '#CC0BF4';
						break;
					default:
						enterColor = '#7B1B45';
						leaveColor = '#D91668';
						break;
				}
				break;
			case 'green':
				enterColor = '#737047';
				leaveColor = '#BEB976';
				break;
			case 'brown':
				enterColor = '#765B28';
				leaveColor = '#C59741';
				break;
			case 'lilac':
				enterColor = '#776074';
				leaveColor = '#C69FC2';
				break;
			case 'pink':
				enterColor = '#820D3E';
				leaveColor = '#D91467';
				break;
			case 'blue':
				enterColor = '#4A5966';
				leaveColor = '#7A95AA';
				break;
			case 'beige':
				enterColor = '#74736A';
				leaveColor = '#C2BFB0';
				break;
			default:
				enterColor = '#7C321A';
				leaveColor = '#CF5329';
		}

		/* Morph: main menu - level2 (background-color) */
		var menuEnter = { 'background-color': enterColor};
		var menuLeave = { 'background-color': leaveColor};

		new YOOMorph('div#menu .hover-box1', menuEnter, menuLeave,
			{ transition: Fx.Transitions.linear, duration: 100, ignore: 'div#menu li.separator .hover-box1' },
			{ transition: Fx.Transitions.sineIn, duration: 300 });

		/* Morph: sub menu - level1 */
		var submenuEnter = { 'color': '#ffffff', 'margin-left': 10};
		var submenuLeave = { 'color': '#C8C8C8', 'margin-left': 0};

		new YOOMorph('div.mod-menu ul.menu span.bg', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 200 },
			{ transition: Fx.Transitions.sineIn, duration: 400 });

		/* Smoothscroll */
		new SmoothScroll({ duration: 500, transition: Fx.Transitions.Expo.easeOut });
	},

	/* Match height of div tags */
	matchHeights: function() {
		YOOBase.matchHeight('div.headerbox div.deepest', 20);
		YOOBase.matchHeight('div.topbox div.deepest', 20);
		YOOBase.matchHeight('div.bottombox div.deepest', 20);
		YOOBase.matchHeight('div.maintopbox div.deepest', 20);
		YOOBase.matchHeight('div.mainbottombox div.deepest', 20);
		YOOBase.matchHeight('div.contenttopbox div.deepest', 20);
		YOOBase.matchHeight('div.contentbottombox div.deepest', 20);
	}

};

/* Add functions on window load */
window.addEvent('domready', YOOTemplate.start);
